<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- 
IGAC proyecto SNC
@author 			felipe.cadena
@cu 				CU-SA-AC-090 Reasignar interventor contrato
-->

<h:form xmlns="http://www.w3.org/1999/xhtml"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:p="http://primefaces.org/ui"  
        xmlns:ui="http://java.sun.com/jsf/facelets" 
        xmlns:fn="http://java.sun.com/jsp/jstl/functions"
        id="interventoriasForm">

    <h:panelGrid columns="2" cellspacing="7" width="100%">

        <h:outputLabel value="Nombre profesional: " styleClass="outputLabelStyle"/>
        <h:outputText value="#{reasignarInterventorContrato.interventorSeleccionado.nombreCompleto}"
                      styleClass="outputTextStyle" />
        <h:outputLabel value="No. documento profesional: " styleClass="outputLabelStyle"/>
        <h:outputText value="#{reasignarInterventorContrato.interventorSeleccionado.numeroIdentificacion}"
                      styleClass="outputTextStyle" />
        <h:outputLabel value="No. de interventorias contratos interadministrativos: " 
                       styleClass="outputLabelStyle"/>
        <h:outputText value="#{fn:length(reasignarInterventorContrato.interventorSeleccionado.contratoInteradministrativos)}"
                      styleClass="outputTextStyle" />
    </h:panelGrid>

    <p:fieldset>
        <legend>
            <h:outputText value="Contratos interadministraticvos"
                          styleClass="legendTitle" />
        </legend>

        <h:panelGrid columns="1" cellspacing="7" width="100%">

            <p:dataTable id="contratosAsciadosInterventorDT"
                         value="#{reasignarInterventorContrato.interventorSeleccionado.contratoInteradministrativos}"
                         var="contrato" rowKey="#{contrato.id}" paginator="true" rows="10"
                         paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport}
                         {NextPageLink} {LastPageLink}"
                         rowsPerPageTemplate="10,20,30" paginatorPosition="bottom"
                         emptyMessage="No se encontraron contratos para los criterios de busqueda especificados">

                <f:facet name="header">
                    Contratos interadministrativos asociados
                </f:facet>



                <p:column headerText="Número contrato">
                    <h:outputText value="#{contrato.numero} - #{contrato.vigencia}"
                                  styleClass="outputTextStyle" />
                </p:column>

                <p:column headerText="Tipo documento">
                    <h:outputText id="PersonaTipoIdentificacionCV"
                                  value="#{contrato.entidadSolicitante.tipoIdentificacion}"
                                  styleClass="outputTextStyle">
                        <f:converter for="PersonaTipoIdentificacionCV"
                                     converterId="converterCB" />
                    </h:outputText>
                </p:column>

                <p:column headerText="Número documento">
                    <h:outputText
                        value="#{contrato.entidadSolicitante.numeroIdentificacion}"
                        styleClass="outputTextStyle" />
                    <h:outputText
                        value=" - #{contrato.entidadSolicitante.digitoVerificacion}"
                        styleClass="outputTextStyle"
                        rendered="#{not empty contrato.entidadSolicitante.digitoVerificacion}" />
                </p:column>

                <p:column headerText="Persona natural/Razón social">
                    <h:outputText
                        value="#{contrato.entidadSolicitante.nombreCompleto}"
                        styleClass="outputTextStyle" />
                </p:column>

                <p:column headerText="Valor total contrato">
                    <h:outputText value="#{contrato.valor}"
                                  styleClass="outputTextStyle">
                        <f:converter converterId="converterMoneda" />
                    </h:outputText>
                </p:column>

                <p:column headerText="Número avalúos contratados">
                    <h:outputText value="#{contrato.numeroAvaluosContratados}"
                                  styleClass="outputTextStyle" />
                </p:column>

            </p:dataTable>

        </h:panelGrid>

    </p:fieldset>




</h:form>